WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Version 1.1.2 is still broken

[Resolved] Version 1.1.2 is still broken

  • Updated to version 1.1.2 now the previous error has gone, but instead all the comments boxes disappeared from the posts.

    When I tried to re-enable them (the checkboxes were all off) I got:

    Warning: Wrong parameter count for array_unique() in /httpdocs/wordpress/wp-content/plugins/facebook/admin/settings-social-plugin.php on line 171

    http://wordpress.org/extend/plugins/facebook/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Niall Kennedy
    Participant

    @niallkennedy

    Yes, array_unique added the parameter in PHP 5.2.9. This extra specified parameter will be an issue for people using the plugin with a version of PHP between 5.2.4 (WP Core min) and the parameter introduction in 5.2.9.

    If you are on a host where you can affect the PHP version you may want to upgrade to something released since 2009.

    No I can’t control what my hosting provider supports! My server is running 5.2.6-1 and I can’t upgrade so easily, and even if it was, it would need cautious planning before upgrading to make sure everything else works.

    So I have to downgrade back to he previous version that worked!

    my version of php is 5.2.17, but it seems working, my comments boxs are fine.

    Yeah, Niall is saying that it has to be at least 5.2.9 from the latest update onwards.

    Downgraded back to 1.0.2 and everything is back working fine.

    Plugin Author Niall Kennedy
    Participant

    @niallkennedy

    this issue will be fixed in the next release

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] Version 1.1.2 is still broken’ is closed to new replies.